iOS 3.1 Upgrade to 3.1.3 ipod 2g MB model

Discussion in 'iOS Jailbreak & Cydia' started by stokesgrup, Aug 9, 2010.

  1. stokesgrup

    stokesgrup New Member

    Joined:
    Aug 9, 2010
    Messages:
    1
    Likes Received:
    0
    Hi to all,

    I have a 2g ipod touch (MB model) which is running on ios 3.0
    I want to upgrade it to 3.1.3.
    I am searching internet for 2 days however all the things I found is downgrading from 4.0 to 3.1.3.

    I tried to upgrade in regular way, in DFU mode, in recovery mode but they all were not success. I am always getting the error regarding "this device isn't eligible for the requested build"

    I tried several versions of itunes still no success.

    They say you don't need those cydia TSS things as you have an 2g MB model for downgrading from 4.0 to 3.1.3. But it did not worked for me to upgrade from 3.0 to 3.1.3.


    So, am I doing something wrong?
    Is there a way to upgrade it to 3.1.3?
    To upgrade it to 4.0 and downgrade it 3.1.3 is the only way?

    Thanks.
  2. ndru98

    ndru98 New Member

    Joined:
    Jan 10, 2008
    Messages:
    16
    Likes Received:
    0
    Same here , can anybody help ? While I was in 4.0 downgrading , it would not let me downgrade to 3.1.3/2 . So I had to downgrade to 2.11 , then update to 3.0.

    Is there nothing I can do now ?
  3. dresaa

    dresaa New Member

    Joined:
    Feb 24, 2010
    Messages:
    101
    Likes Received:
    0
    same here i can downgrade to 3.0 as there is a error in the official ipsw (they called BuildManifest.plist BuildManifesto.plist so that itunes dont want to check with server).however with 3.1.x BuildManifest.plist cantbe removed as it also is needed to decrypt the files.or in other words: u can always restore to pre-jailbroken 3.1.x but u can never restore to 3.1.x official.

    if u find a solution to get to 3.1.x please pm me
  4. iDestiny

    iDestiny Well-Known Member

    Joined:
    Jun 28, 2010
    Messages:
    1,302
    Likes Received:
    44
    Device:
    5G iPod touch
    "this device isn't eligible for the requested build"

    If this displays, you can't restore to the selected firmware without SHSH blobs.
    Even if you upgrade to iOS4, you won't be able to downgrade to 3.1.3
  5. geekgrrl

    geekgrrl Member

    Joined:
    Oct 14, 2008
    Messages:
    954
    Likes Received:
    13
    Device:
    5G iPod touch
    I never upgraded from 3.0

    I have the ipt2g MB I would like to upgrade to 3.1.3

    I have the 3.0 SHSH blobs at Cydia.

    iTunes would download 3.1.3 for the restore, but not continue, giving the same message.

    I confirmed Apple downloaded and installed 3.1.3 in AppData (a hidden file).

    How would I proceed?
  6. acfman17

    acfman17 Active Member

    Joined:
    Jan 12, 2010
    Messages:
    4,691
    Likes Received:
    15
    Device:
    iPad w/ 3G
    Why wouldn't you just update to iOS 4?
  7. geekgrrl

    geekgrrl Member

    Joined:
    Oct 14, 2008
    Messages:
    954
    Likes Received:
    13
    Device:
    5G iPod touch
    It only offers 4.2 and there is no jailbreak, also the ipt2g had the "slower processor" and I have a lot of apps I like, including jailbreak apps (no stealing) I like.

    I read 4.0 "slows" down the ipt2g.

    My ipt2g is already "slow" 2/3 full.

    In addition, I cannot run iTunes 10 on my EeePC netbook.

    In any event, I just want 3.1.3 so I can take "21 updates" for my existing apps and I would like two or three of the newer apps that are not "backward" compatible.

    The "older" jailbreaks had one point in the jailbreak, where you could "select" the ipsw on your Desktop.

    I don't see the "older" jailbreaks available online.

    Apple put 3.1.3 in AppData. "Shift"+Restore to Desktop doesn't let me restore to 3.1.3 either.

    What is with iTunes, it downloads the "upgrade" to 3.1.3 and won't allow it as my device is "incompatible"?

    Anyone know how I can get 3.1.3 on my 3.0 ipt2g?

    Obviously, other people would like to "upgrade" to 3.1.3
  8. geekgrrl

    geekgrrl Member

    Joined:
    Oct 14, 2008
    Messages:
    954
    Likes Received:
    13
    Device:
    5G iPod touch
    Inexplicably, iTunes "let" me "upgrade" to 4.1 and I used Redsn0w 0.9.6b2 to jailbreak.

    Now, I have to see if I can get a version iTunes that supports 4.1 to run on a CF card, perhaps, so I don't give up excessive space on the EeePC 900 SSD.

    I don't want to have to lug around the big Toshiba laptop to support my ipt2g.

    Either that, or back right to where I started.


    FYI I found out, after the fact, TinyUmbrella will save all the "blobs" for you.

    It will not save past blobs, so use it now.

    For example, if you have 3.0 and use TinyUmbrella you get all the blobs after 3.0 to present.

    This will provide the blobs for 3.1.3 <sigh>

    I can use my 3.0 blobs at Cydia and start over. <sigh>

Share This Page